--- directory.sty.orig	2007-04-18 11:44:33.000000000 +0300
+++ directory.sty	2007-04-18 12:15:03.000000000 +0300
@@ -14,6 +14,7 @@
 % 'email.bst', 'birthday.bst', 'letter.bst'
 % 
 \newif\if@break\@breakfalse
+\newif\if@russian\@russianfalse
 \newif\if@german\@germanfalse
 \newif\if@french\@frenchfalse
 \newif\if@longdates\@longdatesfalse
@@ -22,6 +23,7 @@
   \typeout{^^JWarning: the `split' option is obsolete! Redefine `Dirheader' instead.^^J}
 }
 \DeclareOption{break}{\@breaktrue}
+\DeclareOption{russian}{\@russiantrue}
 \DeclareOption{german}{\@germantrue}
 \DeclareOption{french}{\@frenchtrue}
 \DeclareOption{longdates}{\@longdatestrue}
@@ -43,6 +45,40 @@
 %  C U S T O M I Z A T I O N   C O M M A N D S 
 % ------------------------------------------------------------ 
 % 
+\if@russian
+%
+% Russian localization (assumes \usepackage[cp1251]{inputenc} !)
+%
+  \newcommand{\dirsymbol}         {}
+  \newcommand{\dirbirthday}       {$\star$~}
+  \newcommand{\dirnote}           {$\triangleright$~}
+  \newcommand{\dirnickname}       {}
+  \newcommand{\diraddress}        {}
+  \newcommand{\dirand}            {\normalfont{}}
+  \newcommand{\dirprivate}        {\emph{}~} % ''
+  \newcommand{\dirresidence}      {\emph{}~} % ''
+  \newcommand{\dirwork}           {\emph{}~} % ''
+  \newcommand{\dirphone}          {: }
+  \newcommand{\dircellular}       {: }
+  \newcommand{\dirfax}            {: }
+  \newcommand{\diremail}          {}
+  \newcommand{\dirurl}            {}
+  \newcommand{\diraccount}        {: }
+  \newcommand{\dirtitle}          {}
+  \newcommand{\dirname}           {}
+  \if@longdates
+    \newcommand{\Dirbirthday}[2]  {{\number#1}~%
+                                   {\ifcase #2\or \or \or \or%
+                                   \or \or \or \or \or%
+                                   \or \or \or \fi}}
+   \newcommand{\Dirbirthyear}[1]  {~{#1}~.}
+  \else
+    \newcommand{\Dirbirthday}[2]  {{\number#1}.{\number#2}}
+    \newcommand{\Dirbirthyear}[1] {.{#1}}
+  \fi
+  \newcommand{\DirbirthyearAlone}[1]{{#1}}
+  \newcommand{\Dirnickname}[1]    {(.\ \emph{#1})}
+\else
 \if@german
 %
 % German localization
@@ -145,6 +181,7 @@
   \newcommand{\Dirnickname}[1]    {(aka \emph{#1})}
 \fi
 \fi
+\fi
 
 \newcommand{\dirpaddress}       {\diraddress}
 \newcommand{\dirraddress}       {\diraddress}
